Bug 179503 - "Documentation" package group needed in Anaconda
"Documentation" package group needed in Anaconda
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Powers
Depends On:
  Show dependency treegraph
Reported: 2006-01-31 16:52 EST by Paul W. Frields
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-24 19:26:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2006-01-31 16:52:03 EST
*** NOTE:  Bug originally entered as HIGH priority as an attention-getting
strategy, and due to closing (but hopefully still slightly open) window of
opportunity.  This can be reclassified as ENHANCEMENT without hurting anyone's
feelings. ***

Description of problem:

The Fedora Documentation Project is ready to start packaging documentation for
FC5, hopefully in Extras by the time of FC5test3.  To make documentation
installation more seamless for the user, we'd like a group listed in anaconda
where the user can pick up the Yum Software Management Guide, Developers Guide,
etc., etc.  The documentation will automatically install via scrollkeeper and
various support files are deposited in correct places for GNOME yelp, KDE
khelpcenter, and the Main Menu.  (Eventually we may try to integrate with the
default Firefox installation, but for right now these were the targets we could
hit quickly and effectively.)

A name like "Official Documentation" might be good, although alternatives are
welcome.  If we can't hit this for FC5, if someone could comment to this bug
that would be helpful, so we can make other marketing plans, such as in the
release notes.
Comment 1 Jeremy Katz 2006-01-31 17:09:39 EST
This is all handled by having packages with appropriate groupings in the comps
file.  anaconda doesn't have any hard coded idea of what the package groups are
(and shouldn't).

Comment 2 Paul W. Frields 2006-01-31 17:25:49 EST
What do you say, comps maintainer(s)?  Reopening and reassigning there for input.
Comment 3 Jeremy Katz 2006-01-31 18:18:15 EST
If the packages are in Extras, then they go in the Extras comps file.  There's
support for a comps file per repo and with that, things will Just Work (tm)
Comment 4 Jesse Keating 2006-02-24 19:26:39 EST
The packages are in Extras, not Core, so the change has to go into Extras comps.
 Closing this bug as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.